Package org.apache.catalina.mapper

## Class Mapper.MappedContext

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<java.lang.Void>
  - - org.apache.catalina.mapper.Mapper.MappedContext

- Enclosing class:
    Mapper

      protected static final class Mapper.MappedContext
      extends Mapper.MapElement<java.lang.Void>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Mapper.ContextVersion[]` | `versions` |

    - ### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

      `name, object`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappedContext​(java.lang.String name, Mapper.ContextVersion firstVersion)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### versions

          public volatile Mapper.ContextVersion[] versions

  - ### Constructor Detail

    - #### MappedContext

          public MappedContext​(java.lang.String name,
                               Mapper.ContextVersion firstVersion)